Description

Al partir una circunferencia por un punto genera como resultado dos puntos de ruptura.

Pasos para reproducir el bug:

1. Cargar una capa vectorial de lineas
2. Comenzar edición
3. Crear una circunferencia
4. Seleccionar la herramienta de partir geometría por un punto.
5. Seleccionar la circunferencia y partirla por un punto cualquiera.
6. Explotar la circunferencia

Obtenemos como resultado dos arcos y dos puntos de ruptura cuando deberíamos obtener un solo arco.

Associated revisions
Revision 505 - 05/28/2015 04:26 PM - Lluís Marqués

Fix error when a closed polyline were splitted by one point refs #3463

History
#1 - 05/08/2015 01:55 PM - Lluís Marqués

Con este error se me plantea un problema. Al partir una circunferencia por un punto, en teoría, se debería de obtener un arco con el mismo punto
inicial que final pero realmente un arco con el mismo inicio y final no deja de ser una circunferencia.

#2 - 05/08/2015 02:02 PM - Cesar Ordiñana

Lluís Marqués wrote:

Con este error se me plantea un problema. Al partir una circunferencia por un punto, en teoría, se debería de obtener un arco con el mismo punto
inicial que final pero realmente un arco con el mismo inicio y final no deja de ser una circunferencia.
Habría que pensar si tiene sentido partir una circunferencia por un sólo punto. Supongo que debería ser, o no hacer nada, o dividirla por la mitad.

¿Tenemos algún ejemplo de otra herramienta para tomar como referencia (ej:acad)?

#3 - 05/08/2015 02:24 PM - Lluís Marqués

Cesar Ordiñana wrote:

Habría que pensar si tiene sentido partir una circunferencia por un sólo punto. Supongo que debería ser, o no hacer nada, o dividirla por la mitad.

¿Tenemos algún ejemplo de otra herramienta para tomar como referencia (ej:acad)?

Comentándolo con Ricardo, me comenta que en autocad map al partir una circunferencia por un punto deja de ser una entidad circulo para pasar a
ser una polilínea cerrada.

#4 - 05/26/2015 11:05 AM - Lluís Marqués
- Status changed from New to In progress

#5 - 05/26/2015 12:32 PM - Lluís Marqués

Comportamiento en Autocad 2016:

    -  Una circunferencia (o arco de 360 grados) no puede partirse por un punto.
    -  Las polilíneas cerradas al partirlas por un punto generan dos polilíneas que van desde el punto inicial al punto de ruptura y del punto de ruptura
hasta el final.

Con respecto a la polilínea propongo seguir el mismo comportamiento que Autocad. Y con respecto a la circunferencia se pueden seguir varias
opciones:

    -  Seguir el comportamiento de Autocad y no permitir partir por un punto circunferencias o arcos cerrados.
    -  Permitir partir una circunferencia y generar dos arcos. Uno desde el punto inicial hasta el punto de ruptura y el otro desde el punto de ruptura
hasta el final.
    -  Convertir un circulo a polilínea cerrada y partirla siguiendo el comportamiento en Autocad

Mi opinión es cuanto más parecido sea el comportamiento a Autocad mejor, así que propongo no dejar partir circunferencias por un punto.

#6 - 05/26/2015 01:31 PM - Lluís Marqués
- Target version set to 2.3.0-2400 (rev. org.gvsig.desktop-2.0.102)

#7 - 05/26/2015 04:23 PM - Lluís Marqués
- Assignee set to Lluís Marqués

#8 - 05/27/2015 10:05 AM - Lluís Marqués

Comento con Álvaro este tema y opina que en caso de duda seguir la referencia en software, en este caso acad.

Por lo que el comportamiento en polilíneas va a seguir siendo igual hasta ahora. Al partir una polilínea cerrada se generarán dos polilíneas, la primera
desde el punto inicial hasta el punto de corte y la segunda desde el punto de corte hasta el punto final.
Con respecto a poder partir un arco cerrado por un punto, se va a cambiar la implementación para que no se permita realizar esta acción.

#9 - 05/27/2015 11:03 AM - Lluís Marqués
- % Done changed from 0 to 100
- Status changed from In progress to Fixed

Cambiado el método validateAndInsertValue(EditingServiceParameter parameter, final Object value) de SplitLineEditingProvider para que valide si
algunas de las geometrías seleccionadas es cerrada.

Me he equivocado y haciendo commit de otro ticket he incluido los cambios de este ticket y no he puesta la referencia. El commit es el número 498.

#10 - 05/28/2015 08:46 AM - Francisco Díaz Carsí
- Target version changed from 2.3.0-2400 (rev. org.gvsig.desktop-2.0.102) to 2.2.0-2312

#11 - 05/28/2015 06:36 PM - Álvaro Anguix
- Status changed from Fixed to Closed
